<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.8                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2010                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

function prewText2( $text, $maxchar = 10 ) {
        if (iconv_strlen($text) > $maxchar) {
            $string = mb_substr($text, 0, $maxchar, 'windows-1251');
            for ($i = $maxchar; $i > 0; $i--) {
                if (mb_substr($string, $i, 1, 'windows-1251') === ' ') {
                    $string = mb_substr($text, 0, $i, 'windows-1251');
                    break;
                }
            }
        } else {
            return $text;
        }
        return $string.'...';
}

function mod_video_popular($module_id){
        $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();

		$cfg = $inCore->loadModuleConfig($module_id);
			
//		global $_LANG;
		


		$sql = "SELECT i.* , IFNULL(AVG( r.points ), 0) AS rating, c.view_type as viewtype, c.title as cattitle, c.id as catid
				FROM cms_video_items i
				LEFT JOIN cms_video_cats c ON c.id = i.category_id
                LEFT JOIN cms_video_ratings r ON r.item_id = i.id
				WHERE i.published = 1
				GROUP BY i.id
				ORDER BY rating DESC
				LIMIT ".$cfg['num'];

		$result = $inDB->query($sql);
		
		$items = array();
		$is_uc = false;
		
		if ($inDB->num_rows($result)){
            $is_uc = true;
            $inCore->includeFile('components/video/includes/shopcore.php');

					while($item = $inDB->fetch_assoc($result)){
						if (strlen($item['imageurl'])<4) {
							$item['imageurl'] = 'nopic';
						} elseif (!file_exists(PATH.'/images/video/small/'.$item['imageurl'].'.jpg')) {
							$item['imageurl'] = 'nopic';
									}
								if ($item['viewtype']=='shop'){
							$item['price'] = number_format(shopDiscountPrice($item['id'], $item['category_id'], $item['price']), 2, '.', ' ');
								}
                        $item['ratingdata'] = ratingData($item['id']);
                        $item['rating'] = buildRating($item['ratingdata']['rating']);
                        $text = prewText2($item['cattitle']);
                        $item['cattitle'] = '<a class="catlink" href="/video/'.$item['catid'].'">'.$text.'</a>';
						$items[] = 	$item;												
					}

			}
		
		$smarty = $inCore->initSmarty('modules', 'mod_video_popular.tpl');
		$smarty->assign('items', $items);
		$smarty->assign('cfg', $cfg);
		$smarty->assign('is_uc', $is_uc);			
		$smarty->display('mod_video_popular.tpl');
		
		return true;
		
}
?>